MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026168Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-04-30 12:032017-07-27 09:24
Reporterink 
Assigned Togka 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0026168: Lost colors for IGES import
DescriptionColors of parts of the shape which contains transformation are lost.
Steps To ReproduceReadIges D pencil_1.igs
XShow D
TagsNo tags attached.
Test case numberbugs xde(005) bug26168
Attached Files? file icon pencil_1.igs (294,626 bytes) 2015-04-30 12:03

- Relationships
parent of 0026047assignedgka Lost colors for IGES export 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0040465)
git (administrator)
2015-04-30 12:11

Branch CR26168 has been created by ink.

SHA-1: 6da4d451c1cc48468623eda4a234caa870bb95f2


Detailed log of new commits:

Author: ink
Date: Thu Apr 30 12:11:14 2015 +0300

    0026168: Lost colors for IGES import
(0040485)
gka (developer)
2015-04-30 15:29

Branch CR26168 is ready to be tested
(0040528)
git (administrator)
2015-04-30 19:33

Branch CR26168 has been updated forcibly by mkv.

SHA-1: 9a133f618832eefe5a99b899298bacbab329cdb9
(0040568)
mkv (tester)
2015-05-05 17:02

Dear BugMaster,
Branch CR26168 was rebased on current master of occt git-repository.
SHA-1: 9a133f618832eefe5a99b899298bacbab329cdb9
(0040569)
mkv (tester)
2015-05-05 17:02

Dear BugMaster,
Branch CR26168 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9a133f618832eefe5a99b899298bacbab329cdb9

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26168-master-products-64/Debian60-64/summary.html [^]
http://occt-tests/CR26168-master-products-64/Windows-64-VC10/summary.html [^]
sat doc_1(001) E9
sat doc_4(004) E7
sat doc_6(006) D3, H5

Testing cases:
http://occt-tests/CR26168-master-occt-64/Debian60-64/bugs/xde/bug26168.html [^]
http://occt-tests/CR26168-master-occt-64/Windows-64-VC10/bugs/xde/bug26168.html [^]
bugs xde(005) bug26168: OK

Testing on Linux:
occt component :
Total MEMORY difference: 94908376 / 94622623 [+0.30%]
Total CPU difference: 56630.35999999946 / 51017.289999999455 [+11.00%]
products component :
Total MEMORY difference: 23688476 / 23704343 [-0.07%]
Total CPU difference: 19308.65000000003 / 17176.339999999956 [+12.41%]

Testing on Windows:
occt component :
Total MEMORY difference: 57254693 / 57268356 [-0.02%]
Total CPU difference: 15671.096055098955 / 15811.184953098971 [-0.89%]
products component :
Total MEMORY difference: 15536889 / 15541642 [-0.03%]
Total CPU difference: 6213.379429099968 / 6258.52611849997 [-0.72%]

There are no differences in images found by testdiff.
(0040570)
git (administrator)
2015-05-05 17:02

Branch CR26168 has been updated by mkv.

SHA-1: 072036d594f6ef27cf1f2b74b95c9edba0379448


Detailed log of new commits:

Author: mkv
Date: Tue May 5 17:00:53 2015 +0300

    Test case for issue CR26168

(0040571)
mkv (tester)
2015-05-05 17:03

Dear ink,
could you please review following test case
bugs xde(005) bug26168
(0040909)
git (administrator)
2015-05-14 15:34

Branch CR26168 has been updated forcibly by ink.

SHA-1: 11a6e7c825ad59af6e0ce1518159bc8b8c566944
(0049682)
git (administrator)
2015-12-30 14:10

Branch CR26168 has been updated forcibly by ink.

SHA-1: 1ea9fe5a0fe59c2536a371d2be2b3d271e56af9f
(0051708)
mkv (tester)
2016-03-16 15:22

Dear gka,
Could you please check status this fix.

- Issue History
Date Modified Username Field Change
2015-04-30 12:03 ink New Issue
2015-04-30 12:03 ink Assigned To => gka
2015-04-30 12:03 ink File Added: pencil_1.igs
2015-04-30 12:11 git Note Added: 0040465
2015-04-30 12:13 ink Relationship added parent of 0026047
2015-04-30 12:15 ink Status new => resolved
2015-04-30 15:28 gka Target Version 6.9.0 => 7.1.0
2015-04-30 15:29 gka Note Added: 0040485
2015-04-30 15:29 gka Assigned To gka => bugmaster
2015-04-30 15:29 gka Status resolved => reviewed
2015-04-30 17:27 mkv Assigned To bugmaster => mkv
2015-04-30 19:33 git Note Added: 0040528
2015-05-05 17:02 mkv Note Added: 0040568
2015-05-05 17:02 mkv Note Added: 0040569
2015-05-05 17:02 git Note Added: 0040570
2015-05-05 17:03 mkv Note Added: 0040571
2015-05-05 17:03 mkv Assigned To mkv => ink
2015-05-05 17:03 mkv Status reviewed => assigned
2015-05-05 17:03 mkv Test case number => bugs xde(005) bug26168
2015-05-14 15:34 git Note Added: 0040909
2015-12-30 14:10 git Note Added: 0049682
2016-03-16 15:22 mkv Note Added: 0051708
2016-03-16 15:22 mkv Assigned To ink => gka
2016-03-16 15:22 mkv Status assigned => feedback
2016-03-16 15:27 gka Status feedback => assigned
2016-10-26 11:06 gka Target Version 7.1.0 => 7.2.0
2017-07-27 09:24 abv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker